Commit 10e141ed authored by radiolips's avatar radiolips Committed by GitHub
Browse files

Merge pull request #785 from efx/fix-781

make tests rely upon dependencies in node_modules
parents 4b28629e 8be48e46
...@@ -15,9 +15,9 @@ module.exports = function(config) { ...@@ -15,9 +15,9 @@ module.exports = function(config) {
// list of files / patterns to load in the browser // list of files / patterns to load in the browser
files: [ files: [
'bower_components/jquery/dist/jquery.min.js', 'node_modules/jquery/dist/jquery.min.js',
'bower_components/jquery-ui/jquery-ui.min.js', 'node_modules/components-jqueryui/jquery-ui.min.js',
'bower_components/lodash/dist/lodash.min.js', 'node_modules/lodash/lodash.min.js',
'src/gridstack.js', 'src/gridstack.js',
'src/gridstack.jQueryUI.js', 'src/gridstack.jQueryUI.js',
'spec/*-spec.js' 'spec/*-spec.js'
......
...@@ -728,6 +728,12 @@ ...@@ -728,6 +728,12 @@
"integrity": "sha1-ZF/ErfWLcrZJ1crmUTVhnbJv8UM=", "integrity": "sha1-ZF/ErfWLcrZJ1crmUTVhnbJv8UM=",
"dev": true "dev": true
}, },
"components-jqueryui": {
"version": "1.12.1",
"resolved": "https://registry.npmjs.org/components-jqueryui/-/components-jqueryui-1.12.1.tgz",
"integrity": "sha1-YXB28SjzvkwmXz4ttQRx75bNnO4=",
"dev": true
},
"concat-map": { "concat-map": {
"version": "0.0.1", "version": "0.0.1",
"resolved": "https://registry.npmjs.org/concat-map/-/concat-map-0.0.1.tgz", "resolved": "https://registry.npmjs.org/concat-map/-/concat-map-0.0.1.tgz",
......
...@@ -11,7 +11,7 @@ ...@@ -11,7 +11,7 @@
"build": "grunt && doctoc ./README.md && doctoc ./doc/README.md && doctoc ./doc/CHANGES.md", "build": "grunt && doctoc ./README.md && doctoc ./doc/README.md && doctoc ./doc/CHANGES.md",
"test": "grunt lint && karma start karma.conf.js", "test": "grunt lint && karma start karma.conf.js",
"lint": "grunt lint", "lint": "grunt lint",
"reset": "rm -rf node_modules dist" "reset": "rm -rf dist node_modules"
}, },
"keywords": [ "keywords": [
"gridstack", "gridstack",
...@@ -36,6 +36,7 @@ ...@@ -36,6 +36,7 @@
}, },
"devDependencies": { "devDependencies": {
"connect": "^3.4.1", "connect": "^3.4.1",
"components-jqueryui": "1.12.1",
"coveralls": "^2.11.8", "coveralls": "^2.11.8",
"doctoc": "^1.3.0", "doctoc": "^1.3.0",
"grunt": "^1.0.1", "grunt": "^1.0.1",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment